AbstractService

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.service
Interface AbstractService

All Superinterfaces:
  Service

    public interface AbstractService

extends Service

The AbstractService represents a non-broadcast Service which applications can be added to and be selected as a group within a given javax.tv.service.selection.ServiceContext.

Note the following subinterface-specific behavior for methods defined by the javax.tv.service.Service superinterface:

- The hasMultipleInstances() method shall always return false.
- The getServiceType() method shall always return AbstractServiceType.OCAP_ABSTRACT_SERVICE.

Method Summary
`Enumeration` | `getAppAttributes()` Returns a java.util.Enumeration of references to org.ocap.application.OcapAppAttributes instances.
`Enumeration` | `getAppIDs()` Returns a java.util.Enumeration of references to org.dvb.application.AppID instances.

Methods inherited from interface javax.tv.service.Service
`equals, getLocator, getName, getServiceType, hashCode, hasMultipleInstances, retrieveDetails`

Method Detail

### getAppIDs

    Enumeration getAppIDs()

  Returns a java.util.Enumeration of references to org.dvb.application.AppID instances. These application IDs correspond to applications that are associated with this abstract service.

  Returns:
    the java.util.Enumeration of application IDs included in this AbstractService

### getAppAttributes

    Enumeration getAppAttributes()

  Returns a java.util.Enumeration of references to org.ocap.application.OcapAppAttributes instances. These application attributes correspond to applications that are associated with this abstract service.

  Returns:
    the java.util.Enumeration of application attributes for applications included in this AbstractService.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD